Update your profile
PATCH /api/member/profile. Update your profile. Headless LMS Profile API reference.
For a member of the organization. Changes only the fields sent; null clears one. 404 when imageAssetId is not a finalized image you uploaded here.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/member/profile" \ -H "Content-Type: application/json" \ -d '{}'{ "userId": "string", "displayName": "string", "headline": "string", "bio": "string", "imageAssetId": "string", "extra": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "imageUrl": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}